Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.util.data
Class StatCollectorCalculated

    java.lang.Object
      org.ascape.util.data.StatCollector
          org.ascape.util.data.StatCollectorCSA
              org.ascape.util.data.StatCollectorCalculated

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, DataPoint, HasName

    public class StatCollectorCalculated

extends StatCollectorCSA

Stores aggregate data for values obtained for a statistic, including running sum and average.

Since:
  1.0
Version:
  1.2
Author:
  Miles Parker
See Also:
  `StatCollector`, `StatCollectorCond`, Serialized Form

Field Summary

Fields inherited from class org.ascape.util.data.StatCollectorCSA
`sum`

Fields inherited from class org.ascape.util.data.StatCollector
`allMeasureNames, allMeasureNamesShort, autoCollect, COLLECTING, count, name, NOT_COLLECTING, SET_BY_DATAGROUP`

Constructor Summary
`StatCollectorCalculated()` Constructs a new StatCollectorCSA.
`StatCollectorCalculated(java.lang.String name)` Constructs a new StatCollectorCSA.

Method Summary
`double` | `getCalculatedValue()` Returns the current calculate value.
`boolean` | `isCalculated()` Returns true, values are collected automatically for this class by definition.

Methods inherited from class org.ascape.util.data.StatCollectorCSA
`addValue, clear, getAvg, getSum, getTotal`

Methods inherited from class org.ascape.util.data.StatCollector
`addValueFor, calculateCollection, calculateIterator, calculateValue, compareTo, createDataSeries, getAllDataSeries, getAllMeasureNames, getAllMeasureNamesShort, getCollectingLongitudinalDataMode, getCount, getDataGroup, getDataSeries, getName, getValue, isAutoCollect, isCollectingLongitudinalData, isPhase2, setAutoCollect, setCollectingLongitudinalDataMode, setDataGroup, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatCollectorCalculated

    public StatCollectorCalculated()

  Constructs a new StatCollectorCSA.

### StatCollectorCalculated

    public StatCollectorCalculated(java.lang.String name)

  Constructs a new StatCollectorCSA. (Automatic by default.)

  Parameters:
    `name` - the name of the stat collector.

Method Detail

### getCalculatedValue

    public double getCalculatedValue()

  Returns the current calculate value. This is just an alias for Sum, which is the same thing, as a calculated value is only added once.

### isCalculated

    public final boolean isCalculated()

  Returns true, values are collected automatically for this class by definition.

  Overrides:
    `isCalculated` in class `StatCollector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD